<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Bloxic
 */

get_header();
bloxic_blog_breadcrumb();
$bloxicPostClass = '';
if(is_active_sidebar('sidebar-1')){
	$bloxicPostClass = 'content-side col-xl-9 col-lg-8 col-md-12 col-sm-12 right-sidebar';
}else{
	$bloxicPostClass = 'col-lg-10 offset-lg-1 no-active-sidebar';
}
?>
<!-- Sidebar Page Container -->
<div class="sidebar-page-container">
	<div class="auto-container">
		<div class="row clearfix">				
			<!-- Content Side -->
			<div class="<?php echo esc_attr($bloxicPostClass)?>">
				<div class="blog-classic">
					<?php bloxic_post_loop();?>
				</div>
			</div>	
			<?php get_sidebar();?>
		</div>
	</div>
</div>

<?php
get_footer();
